Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.parameters
Class FileParameter.FileRepresentation

    java.lang.Object
      de.jstacs.parameters.FileParameter.FileRepresentation

All Implemented Interfaces:
  Storable, Cloneable

Enclosing class:
  FileParameter

    public static class FileParameter.FileRepresentation

extends Object
implements Storable, Cloneable

Class that represents a file

Author:
  Jan Grau

Constructor Summary
`FileParameter.FileRepresentation(StringBuffer buf)` Restores the file representation from an XML representation
`FileParameter.FileRepresentation(String filename, String content)` Created a file representation out of the filename and the file's contents

Method Summary
`FileParameter.FileRepresentation` | `clone()`
`String` | `getContent()` Returns the content of the file
`String` | `getFilename()` Returns the filename.
`StringBuffer` | `toXML()` This method returns an XML-representation of an instance of the implementing class.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileParameter.FileRepresentation

    public FileParameter.FileRepresentation(String filename,
                                            String content)

  Created a file representation out of the filename and the file's contents

  Parameters:
    `filename` - the filename
    `content` - the contents

### FileParameter.FileRepresentation

    public FileParameter.FileRepresentation(StringBuffer buf)
                                     throws NonParsableException

  Restores the file representation from an XML representation

  Parameters:
    `buf` - the XML representation
  Throws:
    `NonParsableException` - if the representation could not be parsed, an Exception is thrown

Method Detail

### clone

    public FileParameter.FileRepresentation clone()
                                           throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### getFilename

    public String getFilename()

  Returns the filename.

  Returns:
    the filename

### getContent

    public String getContent()

  Returns the content of the file

  Returns:
    the content

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML-representation of an instance of the implementing class.

  Specified by:
    `toXML` in interface `Storable`
  Returns:
    the XML-representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD